| Home | Libraries | People | FAQ | More

## Function store

boost::program_options::store

## Synopsis

    // In header: <boost/program_options/variables_map.hpp>

    BOOST_PROGRAM_OPTIONS_DECL void
    store(const basic_parsed_options< char > & options, variables_map & m,
          bool utf8 = false);

## Description

Stores in 'm' all options that are defined in 'options'. If 'm' already has a non-defaulted value of an option, that value is not changed, even if 'options' specify some value.